com.trendmicro.ds.platform.rest.object.syslogconfiguration

## Enum SyslogConfiguration.Transport

- java.lang.Object
- - java.lang.Enum<SyslogConfiguration.Transport>
  - - com.trendmicro.ds.platform.rest.object.syslogconfiguration.SyslogConfiguration.Transport

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SyslogConfiguration.Transport>
  Enclosing class:
    SyslogConfiguration

      public static enum SyslogConfiguration.Transport
      extends java.lang.Enum<SyslogConfiguration.Transport>

  Syslog transports.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TCP` TCP transport.
    `TLS` TLS transport.
    `UDP` UDP transport.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyslogConfiguration.Transport` | `forValue(int value)`
    `int` | `getValue()`
    `static SyslogConfiguration.Transport` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SyslogConfiguration.Transport[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UDP

          public static final SyslogConfiguration.Transport UDP

      UDP transport. Syslog messages transmitted using the UDP transport are not encrypted and reliable delivery is not guaranteed.

    - #### TCP

          public static final SyslogConfiguration.Transport TCP

      TCP transport. Syslog messages transmitted using the TCP transport are not encrypted. The TCP transport ensures that message delivery is reliable.

    - #### TLS

          public static final SyslogConfiguration.Transport TLS

      TLS transport. Syslog messages transmitted using the TLS transport are encrypted. The TCP transport ensures that message delivery is reliable.

  - ### Method Detail

    - #### values

          public static SyslogConfiguration.Transport[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyslogConfiguration.Transport c : SyslogConfiguration.Transport.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyslogConfiguration.Transport valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### forValue

          public static SyslogConfiguration.Transport forValue(int value)

    - #### getValue

          public int getValue()

Copyright © 2017 Trend Micro Inc. All Rights Reserved.